//////////////////////////////////////////////////////////////////////////////
//
//  Copyright 2009 ITmedia Inc. All right reserved.
//
//////////////////////////////////////////////////////////////////////////////
package jp.co.atmarkit.sample.entity {


[Bindable]
/**
 * ユーザーエンティティです。
 */
public class User {
    
    /** 名前です。 */
    public var name:String;
    
    /** 住所です。 */
    public var address:String;
    
    /** 年齢です。 */
    public var age:String;
    
    /** 性別です。 */
    public var sex:String;
    
    /**
     * ユーザーを生成します。
     * 
     * @param value XML形式のユーザーです。
     * @return Userオブジェクトです。
     */
    public static function populate(value:Object):User {
        // nullの場合はnullを返す
        if(value == null) {
            return null;
        }
        
        var returnValue:User = new User();
        
        // name
        if(value.name != null) {
            returnValue.name = String(value.name);
        }
        
        // sex
        if(value.sex != null) {
            returnValue.sex = String(value.sex);
        }

        // age
        if(value.age != null) {
            returnValue.age = String(value.age);
        }

        // address
        if(value.address != null) {
            returnValue.address = String(value.address);
        }
        
        return returnValue;
    }
}
}