//////////////////////////////////////////////////////////////////////////////
//
//  Copyright 2009 ITmedia Inc. All right reserved.
//
//////////////////////////////////////////////////////////////////////////////
package jp.co.atmarkit.sample.helper {
import mx.core.IMXMLObject;
import mx.core.UIComponent;
import mx.events.FlexEvent;

    
/**
 * ViewHelperの基盤クラスです。以前の執筆でLogicと呼んでいたクラスです。
 */
public class ViewHelper implements IMXMLObject {

//--------------------------------------
//  Properties
//--------------------------------------

    /** MXMLファイルを参照するクラスです。 */
    private var _document:UIComponent;

    /** MXMLファイル上で指定されたidです。 */
    private var _id:String;
    
    /**
     * document を取得します。
     * 
     * @return documentです。
     */
    public final function get document():UIComponent {
        return _document;
    }

    /**
     * id を取得します。
     * 
     * @return idです。
     */
    public final function get id():String {
        return _id;
    }

//--------------------------------------
//  Functions
//--------------------------------------

    /**
     * 実装オブジェクトが作成され、MXML タグに指定されたすべてのコンポーネントプロパティが初期化された後に呼び出されます。
     * 
     * @param document このオブジェクトを作成した MXML ドキュメントです。
     * @param id document がこのオブジェクトを参照するために使用する識別子です。
     */
    public function initialized(document:Object, id:String):void {
        _document = document as UIComponent;
        _id = id;
        
        _document.addEventListener(FlexEvent.CREATION_COMPLETE, creationCompleteHandler, false, 0, true);
    }
    
    /**
     * 初期化処理
     * 
     * @param event FlexEvent
     */
    protected function creationCompleteHandler(event:FlexEvent):void {
        // 子クラスで処理を実装して下さい。
    }
}
}